commit:     1a4ad9ccb59a5bb1cbe0daf12ea45a43a0425970
Author:     Giuseppe Foti <foti.giuseppe <AT> gmail <DOT> com>
AuthorDate: Sun Sep 14 11:06:18 2025 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Tue Sep 16 19:11:45 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1a4ad9cc

net-analyzer/notus-scanner: add 22.7.2

Signed-off-by: Giuseppe Foti <foti.giuseppe <AT> gmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/43781
Closes: https://github.com/gentoo/gentoo/pull/43781
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 net-analyzer/notus-scanner/Manifest                |  1 +
 .../notus-scanner/notus-scanner-22.7.2.ebuild      | 77 ++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/net-analyzer/notus-scanner/Manifest 
b/net-analyzer/notus-scanner/Manifest
index 951d4e518ea8..6734aef481d7 100644
--- a/net-analyzer/notus-scanner/Manifest
+++ b/net-analyzer/notus-scanner/Manifest
@@ -2,3 +2,4 @@ DIST notus-scanner-22.6.3.tar.gz 293997 BLAKE2B 
889416d2324088dc11f2df5146b3c88b
 DIST notus-scanner-22.6.4.tar.gz 293607 BLAKE2B 
75bdbd9d6247a2b9afaf7b049b8b80b2a44714ad4d6c951c9d14898c8bce319c39c4a19162fe1a380ef638164f025c210346ee5659ed1caefdb91bef2a0906d7
 SHA512 
5a3f23425a1945636c6fd9dd7b3ad39cf6f02920c33aaa35e3aa7ae1dfb8962d60f8e8519047e631c0e72a1a75c56ac5350c9dd291c20947fac2d4cdbb7f6387
 DIST notus-scanner-22.6.5.tar.gz 294136 BLAKE2B 
6dcf2b79e359578dde89fb7e12d135df48a4f76d4ca2ae7f5404c2a77938a8f2593db53ee13aac7ca9927b7812994de85b076e78f0eaa451a7868bbe0e23c511
 SHA512 
6dd8deee45a80c07e51e29a1e64953c359c832b2b8103ab6aab8bb0fe36c78f07c7d2841417305088d82585ca46b3e2eada1ad08c0032069fd779f8546e02cb8
 DIST notus-scanner-22.7.1.tar.gz 295860 BLAKE2B 
81ef3f117818acaac4592a3d3555b5056462799de57c7825dad22059a4435289858bea14daabd010ac324db1e43cc60107b91a31da333155d58d7381033b5dd7
 SHA512 
c81ef83a785d9b816c1d361b7d61c9b487d5ff30264ce325e9b460ce906a5de0ea155019661eaf4cb4749231ef12e79ced496c902f8b52347685b9bfadf561e5
+DIST notus-scanner-22.7.2.tar.gz 295805 BLAKE2B 
53d44c8b55e4ac277a41ee389bc6f372861db433ff89d41bcc75011b5d92c4ec4dc80c969c5a5e320f5c334a68ed760076ad3d4c33e75e1f2bb310057391854d
 SHA512 
447a18c8498a412298a7fde4059f9cd20ec57bc5918176dc330ea1f428540651e13d8a9312310e7c0d6809bbc19e9e684d96d6b4866f6e55d25ba0cf918aad32

diff --git a/net-analyzer/notus-scanner/notus-scanner-22.7.2.ebuild 
b/net-analyzer/notus-scanner/notus-scanner-22.7.2.ebuild
new file mode 100644
index 000000000000..a9a08a6ca9a9
--- /dev/null
+++ b/net-analyzer/notus-scanner/notus-scanner-22.7.2.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+DISTUTILS_USE_PEP517=poetry
+inherit distutils-r1 greadme systemd
+
+DESCRIPTION="Notus is a vulnerability scanner for creating results from local 
security checks"
+HOMEPAGE="https://github.com/greenbone/notus-scanner";
+SRC_URI="https://github.com/greenbone/notus-scanner/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="AGPL-3 AGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+       acct-user/gvm
+       net-libs/paho-mqtt-c
+       >=dev-python/psutil-7.0[${PYTHON_USEDEP}]
+       >=dev-python/python-gnupg-0.5.4[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       >=dev-python/paho-mqtt-1.5.1[${PYTHON_USEDEP}]
+"
+
+RDEPEND="
+       ${DEPEND}
+       app-misc/mosquitto
+"
+
+PATCHES=(
+       "${FILESDIR}"/notus-scanner-22.6.2-remove-tests.patch
+)
+
+GREADME_DISABLE_AUTOFORMAT=1
+
+distutils_enable_tests unittest
+
+python_install() {
+       distutils-r1_python_install
+
+       insinto /etc/gvm
+       newins "${FILESDIR}/${PN}.toml" "${PN}.toml"
+
+       # Set proper permissions on required files/directories
+       keepdir /var/lib/notus
+       keepdir /var/lib/notus/products
+       keepdir /var/lib/notus/advisories
+       keepdir /var/log/gvm
+       if ! use prefix; then
+               fowners -R gvm:gvm /etc/gvm
+               fowners -R gvm:gvm /var/lib/notus
+               fowners -R gvm:gvm /var/log/gvm
+       fi
+
+       # Adding notus-scanner.log to logrotate
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}/${PN}.logrotate" "${PN}"
+
+       newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+
+       systemd_dounit config/${PN}.service
+
+       systemd_install_serviced "${FILESDIR}/notus-scanner.service.conf" \
+                       ${PN}.service
+
+       greadme_stdin <<-EOF
+For validating the feed content, a GnuPG keychain with the Greenbone Community 
Feed
+integrity key needs to be created. Please, read here on how to create it:
+  - 
https://greenbone.github.io/docs/latest/22.4/source-build/index.html#feed-validation
+  - 
https://wiki.gentoo.org/wiki/Greenbone_Vulnerability_Management#Notus_Scanner
+
+To enable feed validation, edit /etc/gvm/${PN}.toml and set
+  disable-hashsum-verification = false
+EOF
+}

Reply via email to